
QGIS Application - Bug report #11330

Composer legend is now resizable to a size smaller than the items inside

2014-10-05 02:47 AM - Alexandre Neto

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19624

Description

In qgis master, sizing the composer legend items using the mouse it's possible to set it's size smaller than the actual items inside. This can

lead to improper alignment with other items and it's impossible to "snap" it to the smallest needed size.

To replicate, just try to resize the legend item to a size as small as possible. Also see the attached image.

Feels like a regression to me, so I marked it as Blocker.

Associated revisions

Revision fe9c5c4f - 2014-10-21 08:04 AM - Martin Dobias

Fix #11330 (Composer legend can be smaller than its content)

History

#1 - 2014-10-20 11:06 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"fe9c5c4f098bd483c9b9265438ab3bffc3aa18aa".
